Subject: Re: bug#13578: [IMPORTANT] A new versioning scheme for automake releases, and a new branching scheme for the Git repository

From: Stefano Lattarini <[email-masked]>
Date: Tue, 12 Feb 2013 09:26:01 +0100

On 02/11/2013 04:00 PM, Diego Elio Pettenò wrote:
> On 11/02/2013 15:54, Stefano Lattarini wrote:
>> But what if we want to have multiple betas for, say, Automake 1.14?  Today,
>> we can just have 1.13b, 1.13d, 1.13f, ...; how can we do so with the scheme
>> you are proposing?
> 
> Given that 1.12.0 was "not really final release",
>
Why not?

> and 1.13.0 _and_ .1 were "not really final releases",
>
This is true, but is only due to the fact that I released them with
too much haste, without giving time for proper testing.  IOW, this
debacle has been a fault of mine, not of the naming scheme.

> I would suggest calling the first beta as 1.14.0 with the big fat
> warning,
>
I don't see any need for this; everyone knows that a new major release
is more likely to contain bugs and rough edges.  (OTOH, this is not
excuse to be sloppy and hastily in the release process as I've been
for 1.13; but avoiding repeating the mistake in the future will only
require more care and attention from the maintainer, and not a change
of policy).

> then everybody's satisfied (no missing features, for instance),
> it rolls as 1.14.4 (say) "really final release".
>
> This should be more or less equivalent to Apache's versioning,
>
Any link about this?  The info I found on Google doesn't seem very
helpful nor relevant.

> and leads to decency, I'd say.
> 

Thanks,
  Stefano